Apache HTTPD 2.4.38 Stable 发布

IT资讯 提交于 2019-01-22 11:18:47

Apache HTTP Server(简称 Apache)是 Apache 软件基金会的一个开放源码的网页服务器,可以在大多数计算机操作系统中运行,由于其多平台和安全性被广泛使用,是最流行的 Web 服务器端软件之一。它快速、可靠并且可通过简单的 API 扩展,将 Perl/Python 等解释器编译到服务器中。

Apache HTTPD 2.4.38 Stable 下载

Apache HTTP Server 2.4.38 稳定版已发布,更新内容如下:

Changes with Apache 2.4.38

*) mod_ssl: Clear retry flag before aborting client-initiated renegotiation.

PR 63052 [Joe Orton]

*) mod_negotiation: Treat LanguagePriority as case-insensitive to match

AddLanguage behavior and HTTP specification. PR 39730 [Christophe Jaillet]

*) mod_md: incorrect behaviour when synchronizing ongoing ACME challenges

have been fixed. [Michael Kaufmann, Stefan Eissing]

*) mod_setenvif: We can have expressions that become true if a regex pattern

in the expression does NOT match. In this case val is NULL

and we should just set the value for the environment variable

like in the pattern case. [Ruediger Pluem]

*) mod_session: Always decode session attributes early. [Hank Ibell]

*) core: Incorrect values for environment variables are substituted when

multiple environment variables are specified in a directive. [Hank Ibell]

*) mod_rewrite: Only create the global mutex used by "RewriteMap prg:" when

this type of map is present in the configuration.  PR62311.

[Hank Ibell <hwibell gmail.com>]

*) mod_dav: Fix invalid Location header when a resource is created by

passing an absolute URI on the request line [Jim Jagielski]

*) mod_session_cookie: avoid duplicate Set-Cookie header in the response.

[Emmanuel Dreyfus <manu@netbsd.org>, Luca Toscano]

*) mod_ssl: clear *SSL errors before loading certificates and checking

afterwards. Otherwise errors are reported when other SSL using modules

are in play. Fixes PR 62880. [Michael Kaufmann]

*) mod_ssl: Fix the error code returned in an error path of

'ssl_io_filter_handshake()'. This messes-up error handling performed

in 'ssl_io_filter_error()' [Yann Ylavic]

*) mod_ssl: Fix $HTTPS definition for "SSLEngine optional" case, and fix

authz provider so "Require ssl" works correctly in HTTP/2.

PR 61519, 62654.  [Joe Orton, Stefan Eissing]

*) mod_proxy: If ProxyPassReverse is used for reverse mapping of relative

redirects, subsequent ProxyPassReverse statements, whether they are

relative or absolute, may fail.  PR 60408.  [Peter Haworth <pmh1wheel gmail.com>]

*) mod_lua: Now marked as a stable module [https://s.apache.org/Xnh1]

Apache HTTPD 2.4.38 Stable下载地址:

http://www.apache.org/dist/httpd/httpd-2.4.38.tar.gz

标签

发表评论

此字段内容将保密,不会被其他人看见。

纯文本

  • 不允许使用HTML标签。
  • 自动断行和分段。
  • 网页和电子邮件地址自动转换为链接。